classification
Title: Mention ensurepip in package installation docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Nickk, docs@python, ncoghlan
Priority: normal Keywords: easy

Created on 2017-07-19 00:48 by ncoghlan, last changed 2017-07-21 07:25 by Nickk.

Pull Requests
URL Status Linked Edit
PR 2786 merged Nickk, 2017-07-20 19:13
PR 2792 closed Nickk, 2017-07-21 05:19
PR 2793 closed Nickk, 2017-07-21 05:21
PR 2795 merged Nickk, 2017-07-21 06:18
PR 2797 merged Nickk, 2017-07-21 06:37
Messages (7)
msg298622 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-07-19 00:48
The package installation docs at https://github.com/python/cpython/blob/master/Doc/installing/index.rst have a section on "Common Installation Issues": https://docs.python.org/3/installing/#common-installation-issues

A new entry should be added to this section to cover the case where pip isn't installed by default (e.g. because it was deselected when running the installer), and to suggest trying "python -m ensurepip --default-pip" as a potential remedy.
msg298742 - (view) Author: nicholas kobald (Nickk) * Date: 2017-07-20 17:56
Should this section refer to https://packaging.python.org/tutorials/installing-packages/#install-pip-setuptools-and-wheel as well?
msg298765 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-07-21 03:51
New changeset b3527bfefd7a0188d43a2d7515ac6addd97a8202 by Nick Coghlan (Nicholas) in branch 'master':
bpo-30964: Mention ensurepip in package installation docs (GH-2786)
https://github.com/python/cpython/commit/b3527bfefd7a0188d43a2d7515ac6addd97a8202
msg298772 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-07-21 06:29
New changeset 82a77d38d6dc7df740e7b01b66aeff433730e9ca by Nick Coghlan (Nicholas) in branch '2.7':
[2.7] bpo-30964: Mention ensurepip in package installation docs (GH-2795)
https://github.com/python/cpython/commit/82a77d38d6dc7df740e7b01b66aeff433730e9ca
msg298773 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-07-21 06:44
New changeset df5837b5a916aac645087ae02c44e88ff77024ef by Nick Coghlan (Nicholas) in branch '3.6':
[3.6] bpo-30964: Mention ensurepip in package installation docs (GH-2797)
https://github.com/python/cpython/commit/df5837b5a916aac645087ae02c44e88ff77024ef
msg298774 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-07-21 06:45
Thanks for the contribution & backports!
msg298778 - (view) Author: nicholas kobald (Nickk) * Date: 2017-07-21 07:25
No problem! thanks for the help.
History
Date User Action Args
2017-07-21 07:25:47Nickksetmessages: + msg298778
2017-07-21 06:45:33ncoghlansetmessages: + msg298774
stage: backport needed -> resolved
2017-07-21 06:44:45ncoghlansetmessages: + msg298773
2017-07-21 06:37:35Nickksetpull_requests: + pull_request2847
2017-07-21 06:29:46ncoghlansetmessages: + msg298772
2017-07-21 06:18:42Nickksetpull_requests: + pull_request2845
2017-07-21 05:21:48Nickksetpull_requests: + pull_request2843
2017-07-21 05:19:35Nickksetpull_requests: + pull_request2842
2017-07-21 03:56:57ncoghlansetstage: needs patch -> backport needed
2017-07-21 03:51:57ncoghlansetmessages: + msg298765
2017-07-20 19:13:41Nickksetpull_requests: + pull_request2836
2017-07-20 17:56:51Nickksetnosy: + Nickk
messages: + msg298742
2017-07-19 00:48:01ncoghlancreate